import { isHttpMethod } from './util/index.mjs';
export const getGraphQLParameters = (request) => {
    const { body, method, query: queryParams } = request;
    let operationName;
    let query;
    let variables;
    if (isHttpMethod("GET", method)) {
        operationName = queryParams.operationName;
        query = queryParams.query;
        variables = queryParams.variables;
    }
    else if (isHttpMethod("POST", method)) {
        operationName = body === null || body === void 0 ? void 0 : body.operationName;
        query = body === null || body === void 0 ? void 0 : body.query;
        variables = body === null || body === void 0 ? void 0 : body.variables;
    }
    return {
        operationName,
        query,
        variables,
    };
};
