/// <reference types="node" />
import { Readable } from "stream";
/**
 * Transform an AsyncGenerator to a Readable.
 *
 * This helper is useful especially for fastify as the Reply.send method has support for consuming streams,
 * but not async iterable sources.
 */
export declare function toReadable<T>(source: AsyncGenerator<T, void>): Readable;
