/**
 * Format
 */
export function asyncIterableFinalValueFromError(source, formatError) {
    const iterator = source[Symbol.asyncIterator]();
    return {
        [Symbol.asyncIterator]() {
            return this;
        },
        async next() {
            var _a;
            try {
                return await iterator.next();
            }
            catch (err) {
                (_a = iterator.return) === null || _a === void 0 ? void 0 : _a.call(iterator);
                return { value: formatError(err), done: false };
            }
        },
        throw(err) {
            throw err;
        },
        return() {
            var _a;
            (_a = iterator.return) === null || _a === void 0 ? void 0 : _a.call(iterator);
            return Promise.resolve({ value: undefined, done: true });
        },
    };
}
