"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGraphQLParameters = void 0;
const index_1 = require("./util/index");
const getGraphQLParameters = (request) => {
    const { body, method, query: queryParams } = request;
    let operationName;
    let query;
    let variables;
    if ((0, index_1.isHttpMethod)("GET", method)) {
        operationName = queryParams.operationName;
        query = queryParams.query;
        variables = queryParams.variables;
    }
    else if ((0, index_1.isHttpMethod)("POST", method)) {
        operationName = body === null || body === void 0 ? void 0 : body.operationName;
        query = body === null || body === void 0 ? void 0 : body.query;
        variables = body === null || body === void 0 ? void 0 : body.variables;
    }
    return {
        operationName,
        query,
        variables,
    };
};
exports.getGraphQLParameters = getGraphQLParameters;
