"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendResult = exports.sendPushResult = exports.sendMultipartResponseResult = exports.sendResponseResult = void 0;
const errors_1 = require("../errors");
const transform_result_1 = require("../transform-result");
const to_response_payload_1 = require("../to-response-payload");
/** @deprecated */
async function sendResponseResult(responseResult, rawResponse, transformResult = transform_result_1.DEFAULT_TRANSFORM_RESULT_FN) {
    /**
     * TypeScript complains because of function call signature mismatches.
     * The signatures, however, are identical, thus we cas this here to suppress warnings,
     */
    const response = rawResponse;
    const responsePayload = (0, to_response_payload_1.toResponseResponsePayload)(responseResult, transformResult);
    for (const [name, value] of Object.entries(responsePayload.headers)) {
        response.setHeader(name, value);
    }
    response.statusCode = responsePayload.status;
    response.on("close", () => {
        responsePayload.source.return();
    });
    for await (const value of responsePayload.source) {
        response.write(value);
    }
    response.end();
}
exports.sendResponseResult = sendResponseResult;
/** @deprecated */
async function sendMultipartResponseResult(multipartResult, rawResponse, transformResult = transform_result_1.DEFAULT_TRANSFORM_RESULT_FN) {
    /**
     * TypeScript complains because of function call signature mismatches.
     * The signatures, however, are identical, thus we cas this here to suppress warnings,
     */
    const response = rawResponse;
    const responsePayload = (0, to_response_payload_1.toMultiPartResponsePayload)(multipartResult, transformResult);
    for (const [name, value] of Object.entries(responsePayload.headers)) {
        response.setHeader(name, value);
    }
    response.statusCode = responsePayload.status;
    response.on("close", () => {
        responsePayload.source.return();
    });
    for await (const value of responsePayload.source) {
        response.write(value);
    }
    response.end();
}
exports.sendMultipartResponseResult = sendMultipartResponseResult;
/** @deprecated */
async function sendPushResult(pushResult, rawResponse, transformResult = transform_result_1.DEFAULT_TRANSFORM_RESULT_FN) {
    /**
     * TypeScript complains because of function call signature mismatches.
     * The signatures, however, are identical, thus we cas this here to suppress warnings,
     */
    const response = rawResponse;
    const responsePayload = (0, to_response_payload_1.toPushResponsePayload)(pushResult, transformResult);
    for (const [name, value] of Object.entries(responsePayload.headers)) {
        response.setHeader(name, value);
    }
    response.statusCode = responsePayload.status;
    response.on("close", () => {
        responsePayload.source.return();
    });
    for await (const value of responsePayload.source) {
        response.write(value);
    }
    response.end();
}
exports.sendPushResult = sendPushResult;
/** @deprecated */
async function sendResult(result, rawResponse, transformResult = transform_result_1.DEFAULT_TRANSFORM_RESULT_FN) {
    switch (result.type) {
        case "RESPONSE":
            return sendResponseResult(result, rawResponse, transformResult);
        case "MULTIPART_RESPONSE":
            return sendMultipartResponseResult(result, rawResponse, transformResult);
        case "PUSH":
            return sendPushResult(result, rawResponse, transformResult);
        default:
            throw new errors_1.HttpError(500, "Cannot process result.");
    }
}
exports.sendResult = sendResult;
