"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncGeneratorOf = void 0;
/**
 * Create a AsyncGenerator that yields some values.
 */
function asyncGeneratorOf(...source) {
    return {
        [Symbol.asyncIterator]() {
            return this;
        },
        next() {
            return Promise.resolve(source.length === 0 ? { done: true, value: undefined } : { done: false, value: source.shift() });
        },
        throw(err) {
            throw err;
        },
        return() {
            return Promise.resolve({ done: true, value: undefined });
        },
    };
}
exports.asyncGeneratorOf = asyncGeneratorOf;
