import { ProcessRequestResult, Response, Push, MultipartResponse } from "./types";
import { TransformResultFn } from "./transform-result";
export declare type ResponsePayload = {
    headers: {
        [name: string]: string;
    };
    source: AsyncGenerator<string, void>;
    status: number;
};
export declare function toResponseResponsePayload(result: Response<any, any>, transformResult?: TransformResultFn): ResponsePayload;
export declare function toMultiPartResponsePayload(result: MultipartResponse<any, any>, transformResult?: TransformResultFn): ResponsePayload;
export declare function toPushResponsePayload(result: Push<any, any>, transformResult?: TransformResultFn): ResponsePayload;
/**
 * Transforms the a `ProcessRequestResult` into a text stream published via an AsyncGenerator that can be piped into any HTTP framework.
 */
export declare function toResponsePayload(result: ProcessRequestResult<any, any>, transformResult?: TransformResultFn): ResponsePayload;
